/*===============================================================================================================================
	Fichier				: requet.css
	Objectif(s)			: Mise en forme du contenu global
	Auteur				: Pelcener Thiabaut
	Date de création	: Janvier 2023
	Date de modification: Janvier 2023
===============================================================================================================================*/
        /*
      ___                                   ___     
     /  /\          ___       ___          /__/\    		
    /  /::\        /  /\     /  /\        |  |::\   
   /  /:/\:\      /  /:/    /  /:/        |  |:|:\  
  /  /:/~/::\    /  /:/    /__/::\      __|__|:|\:\ 
 /__/:/ /:/\:\  /  /::\    \__\/\:\__  /__/::::| \:\
 \  \:\/:/__\/ /__/:/\:\      \  \:\/\ \  \:\~~\__\/
  \  \::/      \__\/  \:\      \__\::/  \  \:\      
   \  \:\           \  \:\     /__/:/    \  \:\     
    \  \:\           \__\/     \__\/      \  \:\    
     \__\/                                 \__\/    
  
*/
div#content {
	top : 0px;
	left : 0px;
	right: 0px;
	position : absolute;
	
}

/**Mise en formme image de fond*/
#header {
	position: 			relative;
	overflow: 			hidden;
	height: 250px;
	
}

img[name="image-fond"] {
	
	width: 				100%;
	height: 			100%;
	
}

/**Mise en formme image logo atim*/
img[name="logo"]{
	
	position:			absolute;
	display:			block;				
	margin:				0;
	top: 				3%;
  	left: 				1%;
  	
}

/**Mise en formme structure du contenu global*/
div#decodeur {
	
	position:			relative;
	width:				75%;				
	margin-left:		auto;
	margin-right:		auto;
	border-radius:  	2px;
	background-color: white;
	/*padding: 			10px 25px;*/
	box-shadow:			0px 0px 0px	0px;
	
}

/**Mise en formme zone de saisie*/
div#saisie{
	margin-top:			auto;
	width: 				60%;
	margin-left:		auto;
	margin-right:		auto;
	
}

/**Mise en formme zone de saisie*/
input[type=text] {
	
	width: 				100%;
	height: 			50px;
	box-sizing: 		border-box;
	border: 			2px solid #ccc;
	border-radius:  	4px;
	background-color: #f8f8f8;
	resize:				none;
	font-size: 			20px;
	padding: 			10px;	
}

/**Mise en formme bouton valider*/
a#lien {
	display: 			block;
	width: 				15%;
	padding:			10px;
	margin-left:		auto;
	margin-right:		auto;
	margin-top: 		40px;
    background-color: #E68706;
    border: 			none;
    color: 				white;
    text-align: 		center;
    font-size:			17px;
	border-radius: 		4px;
	text-decoration:	none;
	font-family: 		sans-serif;
	
	
}

a#lien:hover {
	
	background-color: #9F6920;
	transition: all .25s ease;
}


/**Mise en formme du bloc traduction*/
div#resultat {
	width:           100%;
	margin-top:      50px;
	margin-right:    auto;
	margin-left:     auto;
	margin-bottom:   0px;
	background-color: #f8f8f8;
	height:          300px; /* Vous pouvez ajuster la hauteur maximale selon vos besoins */
	max-height:      100%;
	overflow:        auto; /* Ajout de la propriété overflow pour permettre le défilement */
	border-radius:   4px;
	border:          2px solid #ccc;
	padding:         20px;
	font-family:     sans-serif;
	font-size:       16px;
}

div#resultat > div > li > span[class^="bold-text"] {
	font-weight: bold;
}


label {
    font-family: sans-serif;
    font-size: 1rem;
    padding-right: 10px;
}

select {
    font-size: 0.9rem;
    padding: 2px 5px;
}

input#btn {
	text-decoration: none;
	padding: 10px;
	font-family: arial;
	font-size: 1em;
	color: #FFFFFF;
	background-color: #E68706;
	border-radius: 4px;
	-webkit-border-radius: 4px;
	-moz-border-radius: 4px;
	border: 4px solid #E68706;
	box-shadow: 3px 3px 12px #FFFFFF;
	-webkit-box-shadow: 3px 3px 12px #FFFFFF;
	-moz-box-shadow: 3px 3px 12px #FFFFFF;
	}
	

